/*
 * Utilisation d'une extension d'ImageView grant les zooms
 * Copyright - Fars Belhadj - 2013
 * email: amsi@ai.univ-paris8.fr
 */
package fr.fbelhadj.imgzoom;

import android.os.Bundle;
import android.app.Activity;
import android.graphics.BitmapFactory;
import android.view.Menu;
import android.view.Window;
import android.widget.RelativeLayout;

public class IZMainActivity extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		requestWindowFeature(Window.FEATURE_NO_TITLE);
		setContentView(R.layout.activity_izmain);
		RelativeLayout rl = (RelativeLayout)findViewById(R.id.rl);
		MyImageView iv = new MyImageView(this);
		iv.setImageBitmap(BitmapFactory.decodeResource(getResources(), R.drawable.bg));
		rl.addView(iv, new RelativeLayout.LayoutParams(
				RelativeLayout.LayoutParams.MATCH_PARENT, RelativeLayout.LayoutParams.MATCH_PARENT));
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.izmain, menu);
		return true;
	}

}
